Last Comment Bug 732819 - "ASSERTION: don't think me need this any more" with font-size: 0
: "ASSERTION: don't think me need this any more" with font-size: 0
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- normal (vote)
: mozilla16
Assigned To: Jonathan Watt [:jwatt]
:
Mentors:
Depends on:
Blocks: 344905 614732 732429 769514
  Show dependency treegraph
 
Reported: 2012-03-04 10:26 PST by Jesse Ruderman
Modified: 2012-06-30 17:44 PDT (History)
2 users (show)
jwatt: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (96 bytes, image/svg+xml)
2012-03-04 10:26 PST, Jesse Ruderman
no flags Details
patch (906 bytes, patch)
2012-06-28 18:15 PDT, Jonathan Watt [:jwatt]
roc: review+
Details | Diff | Splinter Review

Description Jesse Ruderman 2012-03-04 10:26:43 PST
Created attachment 602739 [details]
testcase

###!!! ASSERTION: don't think me need this any more: 'Not Reached', file layout/svg/base/src/nsSVGOuterSVGFrame.h, line 148

This assertion was added in
https://hg.mozilla.org/mozilla-central/rev/2b4aed5ee94e#l2.17
as a (possibly-unreviewed) addition to the patch in bug 732429.

Fix this and I'll let you know if the fuzzer turns up any other testcases that trigger the assertion ;)
Comment 1 Jonathan Watt [:jwatt] 2012-03-08 10:15:24 PST
Yeah, that was an assertion I added in just before pushing, since I wondered if we could actually just remove much of the code that was touched in the patch for bug 732429. We tried removing that code in bug 411334, but as noted in bug 411334 comment 3, doing so regressed gearflowers. Removing the code no longer seems to regress gearflowers, hence why I wondered if it could die now.

Thanks for fuzzing and finding this issue. It seems like we shouldn't be trying to paint SVG text that has a font-size of zero. Preventing that should be a simple patch, but I don't have time even for that right now. If nobody else writes the patch in the meantime, I'll get to it later.
Comment 2 Jonathan Watt [:jwatt] 2012-03-08 10:19:18 PST
Gearflowers is http://kde-look.org/CONTENT/content-files/19524-gearflowers.svg.gz BTW.
Comment 3 Jonathan Watt [:jwatt] 2012-06-28 18:15:27 PDT
Created attachment 637748 [details] [diff] [review]
patch
Comment 4 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-06-28 19:16:18 PDT
Comment on attachment 637748 [details] [diff] [review]
patch

Review of attachment 637748 [details] [diff] [review]:
-----------------------------------------------------------------

You had this in the other patch. I don't care which one it lands in.
Comment 5 Jonathan Watt [:jwatt] 2012-06-30 04:24:44 PDT
Pushed https://hg.mozilla.org/integration/mozilla-inbound/rev/fed6b276ad32
Comment 6 Jonathan Watt [:jwatt] 2012-06-30 05:58:31 PDT
I checked in a test for this as well, which required a follow-up to fix it:

https://hg.mozilla.org/integration/mozilla-inbound/rev/ef04a2a3284e

Note You need to log in before you can comment on or make changes to this bug.